#! /usr/bin/env python3
from sys import argv
from convert import *


if __name__ == "__main__":
    if len(argv) != 3:
        print("Usage:")
        print("./cli.py <method> <id>")
        print("Method can be 'hermes', 'dhl' or 'vinted'")
        exit(1)
    
    method = argv[1]
    id = argv[2]

    match method:
        case "dhl":
            convert_dhl(id)
        case "hermes":
            convert_hermes(id)
        case "vinted_ups":
            convert_vinted_ups(id)
        case "vinted_hermes":
            convert_vinted_hermes(id)
        case _:
            print("Unknown method")

